## org.eclipse.datatools.modelbase.sql.schema.impl
Class DatabaseImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.DatabaseImpl

All Implemented Interfaces:
  Database, SQLObject

Direct Known Subclasses:
  JDBCDatabase

public class DatabaseImpl
extends SQLObjectImpl
implements Database

An implementation of the model object 'Database'.

The following features are implemented:

- `Vendor`
- `Version`
- `Schemas`
- `Events`
- `Catalogs`
- `Authorization Ids`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getAuthorizationIds()`
`EList` `getCatalogs()`
`EList` `getEvents()`
`EList` `getSchemas()`
`java.util.List` `getUserDefinedTypes()`
`java.lang.String` `getVendor()`
`java.lang.String` `getVersion()`
`void` `setVendor(java.lang.String newVendor)`
`void` `setVersion(java.lang.String newVersion)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getVendor

    public java.lang.String getVendor()

  Specified by:
    `getVendor` in interface `Database`
  Returns:
    the value of the 'Vendor' attribute.
  See Also:
    `Database.setVendor(String)`, `SQLSchemaPackage.getDatabase_Vendor()`

### setVendor

    public void setVendor(java.lang.String newVendor)

  Specified by:
    `setVendor` in interface `Database`
  Parameters:
    `newVendor` - the new value of the 'Vendor' attribute.
  See Also:
    `Database.getVendor()`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `Database`
  Returns:
    the value of the 'Version' attribute.
  See Also:
    `Database.setVersion(String)`, `SQLSchemaPackage.getDatabase_Version()`

### setVersion

    public void setVersion(java.lang.String newVersion)

  Specified by:
    `setVersion` in interface `Database`
  Parameters:
    `newVersion` - the new value of the 'Version' attribute.
  See Also:
    `Database.getVersion()`

### getSchemas

    public EList getSchemas()

  Specified by:
    `getSchemas` in interface `Database`
  Returns:
    the value of the 'Schemas' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Schemas()`, `Schema.getDatabase()`

### getEvents

    public EList getEvents()

  Specified by:
    `getEvents` in interface `Database`
  Returns:
    the value of the 'Events' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Events()`, `Event.getDatabase()`

### getCatalogs

    public EList getCatalogs()

  Specified by:
    `getCatalogs` in interface `Database`
  Returns:
    the value of the 'Catalogs' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_Catalogs()`, `Catalog.getDatabase()`

### getAuthorizationIds

    public EList getAuthorizationIds()

  Specified by:
    `getAuthorizationIds` in interface `Database`
  Returns:
    the value of the 'Authorization Ids' reference list.
  See Also:
    `SQLSchemaPackage.getDatabase_AuthorizationIds()`, `AuthorizationIdentifier.getDatabase()`

### getUserDefinedTypes

    public java.util.List getUserDefinedTypes()

  Specified by:
    `getUserDefinedTypes` in interface `Database`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.